# Class ValueReference

java.lang.Object
jakarta.el.ValueReference

All Implemented Interfaces:
  `Serializable`

public class ValueReference extends Object implements Serializable

Since:
  EL 2.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueReference(Object base, Object property)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBase()`
  `Object`
  `getProperty()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueReference

    public ValueReference(Object base, Object property)

- ## Method Details

  - ### getBase

    public Object getBase()

  - ### getProperty

    public Object getProperty()